Bug 1127324 - Review Request: librasterlite2 - Stores and retrieves huge raster coverages using a SpatiaLite DBMS
Summary: Review Request: librasterlite2 - Stores and retrieves huge raster coverages u...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 16:28 UTC by Volker Fröhlich
Modified: 2016-08-14 16:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-14 16:19:04 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Volker Fröhlich 2014-08-06 16:28:59 UTC
Spec URL: http://www.geofrogger.net/review/librasterlite2.spec
SRPM URL: http://www.geofrogger.net/review/librasterlite2-1.0.0-0.rc1.fc20.src.rpm
Description: 
librasterlite2 is a library that stores and retrieves huge raster coverages
using a SpatiaLite DBMS.

Fedora Account System Username: volter

This package will replace libgaiagraphics and librasterlite, but is no drop-in replacement. It is intended for F21 and Rawhide, as it requires libspatialite 4.2.

Comment 1 Christopher Meng 2014-08-07 00:20:03 UTC
You can choose to swap a review from me or not, I will review this later.

Comment 2 Christopher Meng 2014-08-08 01:52:24 UTC
1. -devel:

Requires: pkgconfig

Drop it, RPM will detect if pc exisited or not then add this automatically.

2. -tools:

Requires: %{name}%{?_isa} = %{version}-%{release}

Can't those programs find the library(then cached by RPM)?

3. mod_rasterlite2 library's ABI versioning doesn't make sense, and is it really needed by other programs? If not you should filter it out(?)

Comment 3 Christopher Meng 2014-08-08 02:05:48 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



Issues:
=======
- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later)", "GPL (v2 or later)", "GPL (v3 or later)", "Unknown
     or generated", "BSD (4 clause)", "GPL (v2 or later) (with incorrect FSF
     address)", "MPL (v1.1) GPL (unversioned/unknown version)". 3 files have
     unknown license. Detailed output of licensecheck:

BSD (4 clause)
--------------
librasterlite2-1.0.0-rc0/test/fnmatch_impl4win.h

GPL (v2 or later)
-----------------
librasterlite2-1.0.0-rc0/ltmain.sh

GPL (v2 or later) (with incorrect FSF address)
----------------------------------------------
librasterlite2-1.0.0-rc0/test/asprintf4win.h

GPL (v3 or later)
-----------------
librasterlite2-1.0.0-rc0/tools/rl2tool.c
librasterlite2-1.0.0-rc0/tools/wmslite.c

LGPL (v2 or later)
------------------
librasterlite2-1.0.0-rc0/test/fnmatch4win.h

MPL (v1.1) GPL (unversioned/unknown version)
--------------------------------------------
librasterlite2-1.0.0-rc0/headers/rasterlite2/rasterlite2.h
librasterlite2-1.0.0-rc0/headers/rasterlite2/rl2graphics.h
librasterlite2-1.0.0-rc0/headers/rasterlite2/rl2svg.h
librasterlite2-1.0.0-rc0/headers/rasterlite2/rl2tiff.h
librasterlite2-1.0.0-rc0/headers/rasterlite2/rl2wms.h
librasterlite2-1.0.0-rc0/headers/rasterlite2/sqlite.h
librasterlite2-1.0.0-rc0/headers/rasterlite2_private.h
librasterlite2-1.0.0-rc0/headers/rl2svg_private.h
librasterlite2-1.0.0-rc0/src/rasterlite2.c
librasterlite2-1.0.0-rc0/src/rl2ascii.c
librasterlite2-1.0.0-rc0/src/rl2auxrender.c
librasterlite2-1.0.0-rc0/src/rl2codec.c
librasterlite2-1.0.0-rc0/src/rl2dbms.c
librasterlite2-1.0.0-rc0/src/rl2gif.c
librasterlite2-1.0.0-rc0/src/rl2import.c
librasterlite2-1.0.0-rc0/src/rl2jpeg.c
librasterlite2-1.0.0-rc0/src/rl2paint.c
librasterlite2-1.0.0-rc0/src/rl2png.c
librasterlite2-1.0.0-rc0/src/rl2pyramid.c
librasterlite2-1.0.0-rc0/src/rl2rastersym.c
librasterlite2-1.0.0-rc0/src/rl2raw.c
librasterlite2-1.0.0-rc0/src/rl2sql.c
librasterlite2-1.0.0-rc0/src/rl2sqlaux.c
librasterlite2-1.0.0-rc0/src/rl2svg.c
librasterlite2-1.0.0-rc0/src/rl2svgaux.c
librasterlite2-1.0.0-rc0/src/rl2svgxml.c
librasterlite2-1.0.0-rc0/src/rl2symbolizer.c
librasterlite2-1.0.0-rc0/src/rl2tiff.c
librasterlite2-1.0.0-rc0/src/rl2version.c
librasterlite2-1.0.0-rc0/src/rl2webp.c
librasterlite2-1.0.0-rc0/src/rl2wms.c
librasterlite2-1.0.0-rc0/test/check_sql_stmt.c
librasterlite2-1.0.0-rc0/test/test1.c
librasterlite2-1.0.0-rc0/test/test10.c
librasterlite2-1.0.0-rc0/test/test11.c
librasterlite2-1.0.0-rc0/test/test12.c
librasterlite2-1.0.0-rc0/test/test13.c
librasterlite2-1.0.0-rc0/test/test14.c
librasterlite2-1.0.0-rc0/test/test15.c
librasterlite2-1.0.0-rc0/test/test16.c
librasterlite2-1.0.0-rc0/test/test17.c
librasterlite2-1.0.0-rc0/test/test18.c
librasterlite2-1.0.0-rc0/test/test19.c
librasterlite2-1.0.0-rc0/test/test2.c
librasterlite2-1.0.0-rc0/test/test20.c
librasterlite2-1.0.0-rc0/test/test3.c
librasterlite2-1.0.0-rc0/test/test4.c
librasterlite2-1.0.0-rc0/test/test5.c
librasterlite2-1.0.0-rc0/test/test6.c
librasterlite2-1.0.0-rc0/test/test7.c
librasterlite2-1.0.0-rc0/test/test8.c
librasterlite2-1.0.0-rc0/test/test9.c
librasterlite2-1.0.0-rc0/test/test_coverage.c
librasterlite2-1.0.0-rc0/test/test_gif.c
librasterlite2-1.0.0-rc0/test/test_load_wms.c
librasterlite2-1.0.0-rc0/test/test_map_ascii.c
librasterlite2-1.0.0-rc0/test/test_map_gray.c
librasterlite2-1.0.0-rc0/test/test_map_indiana.c
librasterlite2-1.0.0-rc0/test/test_map_infrared.c
librasterlite2-1.0.0-rc0/test/test_map_mono.c
librasterlite2-1.0.0-rc0/test/test_map_nile_32.c
librasterlite2-1.0.0-rc0/test/test_map_nile_8.c
librasterlite2-1.0.0-rc0/test/test_map_nile_dbl.c
librasterlite2-1.0.0-rc0/test/test_map_nile_flt.c
librasterlite2-1.0.0-rc0/test/test_map_nile_u16.c
librasterlite2-1.0.0-rc0/test/test_map_nile_u32.c
librasterlite2-1.0.0-rc0/test/test_map_nile_u8.c
librasterlite2-1.0.0-rc0/test/test_map_noref.c
librasterlite2-1.0.0-rc0/test/test_map_orbetello.c
librasterlite2-1.0.0-rc0/test/test_map_rgb.c
librasterlite2-1.0.0-rc0/test/test_map_srtm.c
librasterlite2-1.0.0-rc0/test/test_map_trento.c
librasterlite2-1.0.0-rc0/test/test_map_trieste.c
librasterlite2-1.0.0-rc0/test/test_mask.c
librasterlite2-1.0.0-rc0/test/test_paint.c
librasterlite2-1.0.0-rc0/test/test_palette.c
librasterlite2-1.0.0-rc0/test/test_raster.c
librasterlite2-1.0.0-rc0/test/test_raster_symbolizer.c
librasterlite2-1.0.0-rc0/test/test_section.c
librasterlite2-1.0.0-rc0/test/test_svg.c
librasterlite2-1.0.0-rc0/test/test_tifin.c
librasterlite2-1.0.0-rc0/test/test_webp.c
librasterlite2-1.0.0-rc0/test/test_wms1.c
librasterlite2-1.0.0-rc0/test/test_wms2.c
librasterlite2-1.0.0-rc0/test/test_wr_tiff.c

Unknown or generated
--------------------
librasterlite2-1.0.0-rc0/examples/sample1.c
librasterlite2-1.0.0-rc0/test/scandir4win.h
librasterlite2-1.0.0-rc0/test/test_under_valgrind.sh

[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x/-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: librasterlite2-1.0.0-0.rc1.fc22.i686.rpm
          librasterlite2-devel-1.0.0-0.rc1.fc22.i686.rpm
          librasterlite2-tools-1.0.0-0.rc1.fc22.i686.rpm
          librasterlite2-1.0.0-0.rc1.fc22.src.rpm
librasterlite2.i686: W: spelling-error Summary(en_US) coverages -> coverage, overages, coverage's
librasterlite2.i686: W: spelling-error %description -l en_US coverages -> coverage, overages, coverage's
librasterlite2.i686: W: incoherent-version-in-changelog 1.0.0-1 ['1.0.0-0.rc1.fc22', '1.0.0-0.rc1']
librasterlite2-tools.i686: W: spelling-error %description -l en_US rwmslite -> slitter
librasterlite2-tools.i686: W: spelling-error %description -l en_US coverages -> coverage, overages, coverage's
librasterlite2-tools.i686: W: no-documentation
librasterlite2-tools.i686: W: no-manual-page-for-binary wmslite
librasterlite2-tools.i686: W: no-manual-page-for-binary rl2tool
librasterlite2.src: W: spelling-error Summary(en_US) coverages -> coverage, overages, coverage's
librasterlite2.src: W: spelling-error %description -l en_US coverages -> coverage, overages, coverage's
librasterlite2.src: W: invalid-url URL: https://www.gaia-gis.it/fossil/librasterlite2 <urlopen error _ssl.c:497: The handshake operation timed out>
4 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint librasterlite2-devel librasterlite2-tools librasterlite2
librasterlite2-tools.i686: W: spelling-error %description -l en_US rwmslite -> slitter
librasterlite2-tools.i686: W: spelling-error %description -l en_US coverages -> coverage, overages, coverage's
librasterlite2-tools.i686: W: no-documentation
librasterlite2-tools.i686: W: no-manual-page-for-binary wmslite
librasterlite2-tools.i686: W: no-manual-page-for-binary rl2tool
librasterlite2.i686: W: spelling-error Summary(en_US) coverages -> coverage, overages, coverage's
librasterlite2.i686: W: spelling-error %description -l en_US coverages -> coverage, overages, coverage's
librasterlite2.i686: W: incoherent-version-in-changelog 1.0.0-1 ['1.0.0-0.rc1.fc22', '1.0.0-0.rc1']
librasterlite2.i686: W: unused-direct-shlib-dependency /usr/lib/mod_rasterlite2.so.1.0.0 /lib/libpthread.so.0
librasterlite2.i686: W: unused-direct-shlib-dependency /usr/lib/mod_rasterlite2.so.1.0.0 /lib/libsqlite3.so.0
librasterlite2.i686: W: unused-direct-shlib-dependency /usr/lib/librasterlite2.so.1.0.0 /lib/libpthread.so.0
3 packages and 0 specfiles checked; 0 errors, 11 warnings.
# echo 'rpmlint-done:'



Requires
--------
librasterlite2-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    librasterlite2(x86-32)
    librasterlite2.so.1
    pkgconfig

librasterlite2-tools (rpmlib, GLIBC filtered):
    libc.so.6
    libcairo.so.2
    libcurl.so.4
    libgeotiff.so.1.2
    libgif.so.4
    libjpeg.so.62
    liblzma.so.5
    libm.so.6
    libpng16.so.16
    libpthread.so.0
    librasterlite2(x86-32)
    librasterlite2.so.1
    libspatialite.so.7
    libsqlite3.so.0
    libtiff.so.5
    libwebp.so.5
    libxml2.so.2
    libz.so.1
    rtld(GNU_HASH)

librasterlite2 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    libcairo.so.2
    libcurl.so.4
    libgeotiff.so.1.2
    libgif.so.4
    libjpeg.so.62
    libjpeg.so.62(LIBJPEG_6.2)
    liblzma.so.5
    liblzma.so.5(XZ_5.0)
    libm.so.6
    libpng16.so.16
    libpng16.so.16(PNG16_0)
    libpthread.so.0
    libspatialite.so.7
    libsqlite3.so.0
    libtiff.so.5
    libtiff.so.5(LIBTIFF_4.0)
    libwebp.so.5
    libxml2.so.2
    libxml2.so.2(LIBXML2_2.4.30)
    libxml2.so.2(LIBXML2_2.6.0)
    libz.so.1
    libz.so.1(ZLIB_1.2.0)
    rtld(GNU_HASH)



Provides
--------
librasterlite2-devel:
    librasterlite2-devel
    librasterlite2-devel(x86-32)
    pkgconfig(rasterlite2)

librasterlite2-tools:
    librasterlite2-tools
    librasterlite2-tools(x86-32)

librasterlite2:
    librasterlite2
    librasterlite2(x86-32)
    librasterlite2.so.1



Unversioned so-files
--------------------
librasterlite2: /usr/lib/mod_rasterlite2.so

Source checksums
----------------
http://www.gaia-gis.it/gaia-sins/librasterlite2-sources/librasterlite2-1.0.0-rc0.tar.gz :
  CHECKSUM(SHA256) this package     : 8ddf8e7640ecc2591804a97cc78f54263362e67eb8af3089f014dc058060ef4f
  CHECKSUM(SHA256) upstream package : 8ddf8e7640ecc2591804a97cc78f54263362e67eb8af3089f014dc058060ef4f


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -rvn librasterlite2-1.0.0-0.rc1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

-----------------------------
Besides comment 2, please correct the changelog.

Comment 4 Volker Fröhlich 2014-08-08 08:25:20 UTC
(In reply to Christopher Meng from comment #2)
> 1. -devel:
> 
> Requires: pkgconfig
> 
> Drop it, RPM will detect if pc exisited or not then add this automatically.

Done
 
> 2. -tools:
> 
> Requires: %{name}%{?_isa} = %{version}-%{release}
> 
> Can't those programs find the library(then cached by RPM)?

I'm not sure what you mean. Sub-packages must require the base package per guidelines.

> 3. mod_rasterlite2 library's ABI versioning doesn't make sense, and is it
> really needed by other programs? If not you should filter it out(?)

I think it's not used for anything and I'll exclude it.

Comment 5 Volker Fröhlich 2014-08-08 09:33:29 UTC
Corrected the changelog too!

Spec URL: http://www.geofrogger.net/review/librasterlite2.spec
SRPM URL: http://www.geofrogger.net/review/librasterlite2-1.0.0-1.rc0.fc20.src.rpm

Comment 6 Christopher Meng 2014-08-15 08:06:12 UTC
PACKAGE APPROVED.

Comment 7 Volker Fröhlich 2014-08-15 11:27:07 UTC
New Package SCM Request
=======================
Package Name: librasterlite2
Short Description: Stores and retrieves huge raster coverages using a SpatiaLite DBMS
Upstream URL: https://www.gaia-gis.it/fossil/librasterlite2
Owners: volter
Branches: f21

Comment 8 Gwyn Ciesla 2014-08-15 11:52:42 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.